GuideLab API

Global search across all entities

Performs a fuzzy search across orders, patients, organizations, products (lab only), invoices, and team members within the authenticated organization's scope. Returns ranked results grouped by entity type.

GET
/search

Performs a fuzzy search across orders, patients, organizations, products (lab only), invoices, and team members within the authenticated organization's scope. Returns ranked results grouped by entity type.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

q*string
Length2 <= length <= 100
limit?integer
Range1 <= value <= 10
Default5

Response Body

application/json

curl -X GET "https://example.com/search?q=search+term"
{  "results": {    "orders": [      {        "id": "string",        "label": "string",        "subtitle": "string",        "url": "string",        "relevance": 0      }    ],    "patients": [      null    ],    "organizations": [      null    ],    "products": [      null    ],    "invoices": [      null    ],    "members": [      null    ]  },  "query": "string",  "degraded": []}
Empty